OLD  NOT USED ??????
      
c ABFLARE Modules
c      module stddefs
      parameter (mxprop = 26  )
      parameter (mxcomp = 22 ) 
      parameter (mxchem = 10 ) 
      


c      real   :: pi      ! uh... pi
c      real   :: ru      ! Universal Gas Constant (Ru),(kPam)/(Kkmol)
c      real   :: rk0     ! Absolute zero, reference C
c      real   :: grav    ! Gravitational Constant (g),m/s2
c      real   :: lapse   ! atmospheric default lapse rate
c      real   :: rk13    ! one third 
c      real   :: rk23    ! two thirds
      parameter (pi       = 3.141593)
      parameter (ru       = 8.3145   )
      parameter (rk0      = 273.15   )
      parameter (grav     = 9.80665  )
      parameter (rk13     = 1./3. )
      parameter (rk23     = 2./3. )


      common   /constants1/ effmin, radloss, tgas, tamb, nhvrec, 
     &   nhvmin, tradbkg, tradtot, u10min, ustabf, tgrad, slopemx,
     &   uofaa, uofab, tref, pref, cpv, rkm, lapse,
     &   rk1, rk2, rk4, fn2air
      real(8)   :: effmin  !
      real(8)   :: radloss ! flame radiation loss, %
      real(8)   :: tgas    ! default gas temperature, C
      real(8)   :: tamb    ! default ambient temperature, C
      real(8)   :: nhvrec  ! net heating value required, MJ/m (15C,101.325 kPa) 
      real(8)   :: nhvmin  ! net heating value mininum, MJ/m (15C,101.325 kPa)
      real(8)   :: tradbkg ! Background Thermal Radiation, kW/m2
      real(8)   :: tradtot ! Maximum Recommended Total Thermal Radiation, kW/m2
      real(8)   :: u10min  ! Minimum Wind Speed at 10 m reference height, m/s
      real(8)   :: ustabf  ! Stability Class F Plume Rise Criterion Wind Speed
      real(8)   :: tgrad   ! Stability Class F Vertical Potential Temperature Gradient
      real(8)   :: slopemx ! Maximum Slope Criterion, %
      real(8)   :: uofaa   ! UofA Flare Research Project constant A, (MJ/kg)^3
      real(8)   :: uofab   ! UofA Flare Research Project constant B
      real(8)   :: tref    ! reference Temperature,C
      real(8)   :: pref    ! reference Pressure,kPa
      real(8)   :: cpv     ! Specific Volume at reference conditions,m/kmol
      real(8)   :: lapse ! [K/m] standard lapse rate (troposphere)
      real(8)   :: rk1     ! Heat Release Rate Constant (K1),(caldm)/(s10mMJ)
      real(8)   :: rk2     ! SO2 Emission Rate Constant (K2),(gd)/(s10m%H2S)
      real(8)   :: rk4     ! Heat Release Rate Constant (K4),(Jdm)/(s10mMJ)
      real(8)   :: fn2air  ! fraction of N2 (nitrogen) in air

      common   /local1/ plocal
      real(8)   :: plocal  ! local pressure, kPa


c Property definitions      
      parameter (jph2o=1      )
      parameter (jph2=2      )
      parameter (jphe=3         )
      parameter (jpn2=4         )
      parameter (jpco2=5      )
      parameter (jph2s=6      )
      parameter (jpch4=7      )
      parameter (jpc2h6=8      )
      parameter (jpc3h8=9      )
      parameter (jpic4h10=10   )
      parameter (jpnc4h10=11   )
      parameter (jpic5h12=12   )
      parameter (jpnc5h12=13   )
      parameter (jpnc6h14=14   )
      parameter (jpnc7h16x=15  )
      parameter (jpco=16      )
      parameter (jpnh3=17      )
      parameter (jpso2=18      )
      parameter (jps=19         )
      parameter (jpo2=20      )
      parameter (jpn2x=21      )
      parameter (jpair=22      )

      parameter (ipmmass=1  )
      parameter (ipnhv=2  )
      parameter (ipghv=3  )
      parameter (ipcpmass=4  )
      parameter (ipcpmole=5  )
      parameter (ipstoico2=6  )
      parameter (ipstoicc=7  )
      parameter (ipstoicp=8  )
      parameter (ipstoich2o=9 )
      parameter (iplfl=10  )
      parameter (ipa1=11  )
      parameter (ipa2=12  )
      parameter (ipa3=13  )
      parameter (ipa4=14  )
      parameter (ipa5=15  )
      parameter (ipa6=16  )
      parameter (ipa7=17  )
      parameter (ipa1=18  )
      parameter (ipa2=19  )
      parameter (ipa3=20  )
      parameter (ipa4=21  )
      parameter (ipa5=22  )
      parameter (ipa6=23  )
      parameter (ipa7=24  )
      parameter (ipcalc=25  )
      parameter (iph=26  )

      common  /chem1/ prop
      real(8)   :: prop(mxprop,mxcomp)


c      end module ! stddefs
