      real(8) :: e_so2_m  ! emission rate of SO2 (g/s)
      real(8) :: e_so2_ma ! actual emission rate of SO2 (g/s)
      real(8) :: e_h2s_m  ! emission rate of H2S (g/s)
      real(8) :: e_so2_m1 ! emission rate of SO2 (t/d)
      real(8) :: e_co2_m1 ! emission rate of CO2 (t/d)
      real(8) :: FM   ! momentum flux
      real(8) :: FB   ! buoyancy flux
      real(8) :: extemp ! calculated exhaust temperature of flame
      real(8) :: exrate ! calculated exhaust rate m3/s
      real(8) :: qemit  ! calculated emission rate (g/s)
      real(8) :: hs_x   ! pseudo height
      real(8) :: ue_x   ! pseudo velocity
      real(8) :: de_x   ! pseudo diameter
      real(8) :: den_mix ! exhaust density
      real(8) :: den_air ! air density
      real(8) :: XL  !
      real(8) :: ZL  !
      real(8) :: FA  !
      real(8) :: hf  ! flame height above stack tip
      real(8) :: uu  ! horizontal velocity
      real(8) :: uv  ! vertical velocity
      real(8) :: plumeangle ! plume angle in vertical
      real(8) :: conv_so2  ! in-plume so2 concentration ppm
      real(8) :: resid_h2s ! in-plume H2S concentration ppm
      real(8) :: eta  ! conversion in-efficiency
	integer :: isflammable	! 0: nonlammable 1:flammable

      common /combustion/ e_so2_m,e_so2_ma,e_h2s_m,e_so2_m1,e_co2_m1,
     &      FM,FB,extemp,exrate,qemit,hs_x,ue_x,de_x,
     &      den_mix,den_air,XL,ZL,FA,hf,uu,uv,
     &      plumeangle,conv_so2,resid_h2s,eta,
     &		isflamable
